WSLAY_EVENT_WANT_WRITE(3)

NAME
wslay_event_want_write - Tell whether the library wants to send more data

SYNOPSIS

#include <wslay/wslay.h>

int wslay_event_want_write(wslay_event_context_ptr ctx)

DESCRIPTION

wslay_event_want_write() is used to know whether the library want to send more data to peer.

This is useful to decide whether to wait for write event in I/O event notification functions such as select(2) and poll(2).

RETURN VALUE

wslay_event_want_write() returns 1 if the library want to send more data to peer, or returns 0.

SEE ALSO

wslay_event_want_read(), wslay_event_shutdown_write(), wslay_event_get_write_enabled()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa